commit:     83a18d8b5c91eaa82bb6ee0f526cbbd0cd088b5d
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Tue Feb 25 06:44:19 2020 +0000
Commit:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Tue Feb 25 06:44:19 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=83a18d8b

dev-lang/aldor: new package

Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 dev-lang/aldor/Manifest                     |  2 +
 dev-lang/aldor/aldor-1.2.0_p20190730.ebuild | 82 +++++++++++++++++++++++++++++
 dev-lang/aldor/metadata.xml                 | 14 +++++
 3 files changed, 98 insertions(+)

diff --git a/dev-lang/aldor/Manifest b/dev-lang/aldor/Manifest
new file mode 100644
index 0000000..3a7e98b
--- /dev/null
+++ b/dev-lang/aldor/Manifest
@@ -0,0 +1,2 @@
+DIST aldor.el.nw 50217 BLAKE2B 
12c822b608d995832028cc6c67126c71f05e50d941c0b22fd82fd95a1f968e64150f721982ff8e42f897811c17d2ee0b3135f5c9f57701f99bdce1f8be3fb82c
 SHA512 
6a01873530269ff21afd494a00a8159e48e6199e9aff38259156b8ee8ce21256394629225d857d7d087fd02d1bed3d0de76812656f294f9eb322bed594f4d65e
+DIST libaldor.pdf.gz 434487 BLAKE2B 
629dbf284db72afb98a8bc1a44df63dc0a3394fdd4361ec48a0d4811f8e931384fc257ad8f3931b7966aee25b0a015062ef8c8ab4e0ebf5978b5deda58c00ab6
 SHA512 
9ed1f067dd4ee11e5a440f31a9a29eb9248fcfb4349005f42c230a97190853d17e423ce677894a478644ca4964d0ba857465adfe405092c1e6512ced452eedc3

diff --git a/dev-lang/aldor/aldor-1.2.0_p20190730.ebuild 
b/dev-lang/aldor/aldor-1.2.0_p20190730.ebuild
new file mode 100644
index 0000000..5a4414c
--- /dev/null
+++ b/dev-lang/aldor/aldor-1.2.0_p20190730.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+EGIT_REPO_URI="https://github.com/pippijn/aldor.git";
+EGIT_COMMIT="13e5b90"
+AUTOTOOLS_AUTORECONF=1
+AUTOTOOLS_IN_SOURCE_BUILD=1
+
+inherit git-r3 autotools elisp-common
+
+DESCRIPTION="The Aldor Programming Language"
+HOMEPAGE="http://pippijn.github.io/aldor";
+SRC_URI="doc? ( http://aldor.org/docs/libaldor.pdf.gz )
+       emacs? ( http://hemmecke.de/aldor/aldor.el.nw )"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS=""
+IUSE="doc emacs"
+
+RDEPEND="emacs? ( app-editors/emacs:= )"
+DEPEND="${RDEPEND}
+       virtual/yacc
+       doc? ( virtual/latex-base )
+       emacs? ( app-text/noweb )"
+
+DOCS=( AUTHORS COPYRIGHT LICENSE )
+
+S="${WORKDIR}/${P}/aldor"
+
+src_compile() {
+       if use doc ; then
+               ( cd aldorug; emake aldorug.pdf ) || die "make aldorug.pdf 
failed"
+               ( cd lib/aldor/tutorial
+                       pdflatex tutorial.tex
+                       pdflatex tutorial.tex ) || die "make tutorial.pdf 
failed"
+               cp "${DISTDIR}/libaldor.pdf.gz" .
+               gunzip libaldor.pdf.gz
+               tar xzf "${DISTDIR}/algebra.html.tar.gz"
+       fi
+
+       if use emacs ; then
+               notangle "${DISTDIR}/aldor.el.nw" > aldor.el
+               notangle -Rinit.el "${DISTDIR}/aldor.el.nw" | \
+                       sed -e '1s/^.*$/;; aldor mode/' > 64aldor-gentoo.el
+               if use doc ; then
+                       einfo "Documentation for the aldor emacs mode"
+                       noweave "${DISTDIR}/aldor.el.nw" > aldor-mode.tex
+                       pdflatex aldor-mode.tex
+                       pdflatex aldor-mode.tex
+               fi
+       fi
+       default
+}
+
+src_install() {
+       if use doc ; then
+               DOCS+=( aldorug/aldorug.pdf lib/aldor/tutorial/tutorial.pdf 
libaldor.pdf )
+       fi
+       if use emacs ; then
+               DOCS+=( aldor-mode.pdf )
+               elisp-site-file-install aldor.el
+               elisp-site-file-install 64aldor-gentoo.el
+       fi
+       default
+
+       # Add information about ALDORROOT to environmental variables
+       cat > 99aldor <<- EOF
+               ALDORROOT="${EPREFIX}/usr"
+       EOF
+       doenvd 99aldor
+}
+
+pkg_postinst() {
+       use emacs && elisp-site-regen
+}
+
+pkg_prerm() {
+       [ -f "${SITELISP}/site-gentoo.el" ] && elisp-site-regen
+}

diff --git a/dev-lang/aldor/metadata.xml b/dev-lang/aldor/metadata.xml
new file mode 100644
index 0000000..4b9f701
--- /dev/null
+++ b/dev-lang/aldor/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <longdescription>Aldor is a programming language. It is the successor 
of A# as the extension language of the Axiom computer algebra system.
+
+The Aldor language combines imperative, functional, and object-oriented 
features. It has an elaborate dependent type system, allowing types to be used 
as first-class values. Aldor's syntax is heavily influenced by Pascal, but it 
is optionally indentation-sensitive, like Python. In its current 
implementation, it is compiled, but an interactive listener is 
provided.</longdescription>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Alessandro Barbieri</name>
+       </maintainer>
+       <upstream>
+               <remote-id type="github">pippijn/aldor</remote-id>
+       </upstream>
+</pkgmetadata>

Reply via email to